# Creating a new Skill Membership

Adds a skill to a user.

Bulk Create

This endpoint supports bulk creating up to 200 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "skill_memberships": [
    {
      "skill_id": 123,
      "user_id": 111
    },
    {
      "skill_id": 456,
      "user_id": 222
    }
  ]
}



This endpoint returns structured Skill Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the skill_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /skill_memberships
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- creator (User) - References the user who has created the skill association.
- skill (Skill) - References the skill assigned to the object.
- user (User) - References the user who has been assigned the skill.

## Request fields (application/json):

  - `skill_membership` (object)

  - `skill_membership.skill_id` (integer, required)
    The ID of the skill.

  - `skill_membership.user_id` (integer, required)
    The ID of the user.

  - `skill_membership.level` (integer)
    The user's proficiency level in the skill (1-5). This defaults to 0 if it is not specified.
Note: Not all skills have levels.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `skill_memberships` (object)

  - `skills` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


